Update configure and closest kin. *Hopes my branch doesn't break*
authorMatthew Fredrickson <creslin@digium.com>
Tue, 19 Sep 2006 17:09:01 +0000 (17:09 +0000)
committerMatthew Fredrickson <creslin@digium.com>
Tue, 19 Sep 2006 17:09:01 +0000 (17:09 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@43282 65c4cc65-6c06-0410-ace0-fbb531ad65f3

configure
include/asterisk/autoconfig.h.in

index 70279b0..188c411 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 43259 .
+# From configure.ac Revision: 43281 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.60a.
 #
@@ -751,6 +751,9 @@ PBX_PRI
 PWLIB_LIB
 PWLIB_INCLUDE
 PBX_PWLIB
+OPENH323_LIB
+OPENH323_INCLUDE
+PBX_OPENH323
 QT_LIB
 QT_INCLUDE
 PBX_QT
@@ -804,6 +807,16 @@ KDEINIT
 KDEDIR
 NETSNMP_CONFIG
 PG_CONFIG
+PTLIB_CONFIG
+PWLIBDIR
+PWLIB_INCDIR
+PWLIB_LIBDIR
+PWLIB_PLATFORM
+OPENH323DIR
+OPENH323_INCDIR
+OPENH323_LIBDIR
+OPENH323_SUFFIX
+OPENH323_BUILD
 QTMOC
 EDITLINE_LIB
 PBX_H323
@@ -1430,6 +1443,7 @@ Optional Packages:
   --with-postgres=PATH    use PostgreSQL files in PATH
   --with-pri=PATH         use ISDN PRI files in PATH
   --with-pwlib=PATH       use PWlib files in PATH
+  --with-h323=PATH        use OpenH323 files in PATH
   --with-qt=PATH          use Qt files in PATH
   --with-radius=PATH      use Radius Client files in PATH
   --with-speex=PATH       use Speex files in PATH
@@ -5913,6 +5927,33 @@ PBX_PWLIB=0
 
 
 
+OPENH323_DESCRIP="OpenH323"
+OPENH323_OPTION="h323"
+
+# Check whether --with-h323 was given.
+if test "${with_h323+set}" = set; then
+  withval=$with_h323;
+case ${withval} in
+     n|no)
+     USE_OPENH323=no
+     ;;
+     y|ye|yes)
+     OPENH323_MANDATORY="yes"
+     ;;
+     *)
+     OPENH323_DIR="${withval}"
+     OPENH323_MANDATORY="yes"
+     ;;
+esac
+
+fi
+
+PBX_OPENH323=0
+
+
+
+
+
 QT_DESCRIP="Qt"
 QT_OPTION="qt"
 
@@ -23978,32 +24019,451 @@ echo "$as_me: *** without explicitly specifying --with-${PRI_OPTION}" >&6;}
 fi
 
 
-PLATFORM_PTLIB="ptlib_${OSTYPE}_${MACHTYPE}_r"
 if test "${USE_PWLIB}" != "no"; then
-   { echo "$as_me:$LINENO: checking for existence of pwlib" >&5
-echo $ECHO_N "checking for existence of pwlib... $ECHO_C" >&6; }
+       if test ! -z "${PWLIB_DIR}"; then
+               PWLIBDIR="${PWLIB_DIR}"
+       fi
 
-   saved_cppflags="${CPPFLAGS}"
-   saved_libs="${LIBS}"
-   LIBS="${LIBS} -L${PWLIB_DIR} -l${PLATFORM_PTLIB}"
-   CPPFLAGS="${CPPFLAGS} -I${PWLIB_DIR}/include"
+PWLIB_INCDIR=
+PWLIB_LIBDIR=
+if test "${PWLIBDIR:-unset}" != "unset" ; then
+  as_ac_File=`echo "ac_cv_file_${PWLIBDIR}/version.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${PWLIBDIR}/version.h" >&5
+echo $ECHO_N "checking for ${PWLIBDIR}/version.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${PWLIBDIR}/version.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  HAS_PWLIB=1
+fi
 
-   cat >conftest.$ac_ext <<_ACEOF
+fi
+if test "${HAS_PWLIB:-unset}" = "unset" ; then
+  if test "${OPENH323DIR:-unset}" != "unset"; then
+    as_ac_File=`echo "ac_cv_file_${OPENH323DIR}/../pwlib/version.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${OPENH323DIR}/../pwlib/version.h" >&5
+echo $ECHO_N "checking for ${OPENH323DIR}/../pwlib/version.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${OPENH323DIR}/../pwlib/version.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  HAS_PWLIB=1
+fi
 
-       /* confdefs.h.  */
+  fi
+  if test "${HAS_PWLIB:-unset}" != "unset" ; then
+    PWLIBDIR="${OPENH323DIR}/../pwlib"
+  else
+    as_ac_File=`echo "ac_cv_file_${HOME}/pwlib/include/ptlib.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${HOME}/pwlib/include/ptlib.h" >&5
+echo $ECHO_N "checking for ${HOME}/pwlib/include/ptlib.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${HOME}/pwlib/include/ptlib.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  HAS_PWLIB=1
+fi
+
+    if test "${HAS_PWLIB:-unset}" != "unset" ; then
+      PWLIBDIR="${HOME}/pwlib"
+    else
+      { echo "$as_me:$LINENO: checking for /usr/local/include/ptlib.h" >&5
+echo $ECHO_N "checking for /usr/local/include/ptlib.h... $ECHO_C" >&6; }
+if test "${ac_cv_file__usr_local_include_ptlib_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "/usr/local/include/ptlib.h"; then
+  ac_cv_file__usr_local_include_ptlib_h=yes
+else
+  ac_cv_file__usr_local_include_ptlib_h=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__usr_local_include_ptlib_h" >&5
+echo "${ECHO_T}$ac_cv_file__usr_local_include_ptlib_h" >&6; }
+if test $ac_cv_file__usr_local_include_ptlib_h = yes; then
+  HAS_PWLIB=1
+fi
+
+      if test "${HAS_PWLIB:-unset}" != "unset" ; then
+        # Extract the first word of "ptlib-config", so it can be a program name with args.
+set dummy ptlib-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_PTLIB_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PTLIB_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PTLIB_CONFIG="$PTLIB_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in /usr/local/bin
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PTLIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+PTLIB_CONFIG=$ac_cv_path_PTLIB_CONFIG
+if test -n "$PTLIB_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $PTLIB_CONFIG" >&5
+echo "${ECHO_T}$PTLIB_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+        if test "${PTLIB_CONFIG:-unset}" = "unset" ; then
+          # Extract the first word of "ptlib-config", so it can be a program name with args.
+set dummy ptlib-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_PTLIB_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PTLIB_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PTLIB_CONFIG="$PTLIB_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in /usr/local/share/pwlib/make
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PTLIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+PTLIB_CONFIG=$ac_cv_path_PTLIB_CONFIG
+if test -n "$PTLIB_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $PTLIB_CONFIG" >&5
+echo "${ECHO_T}$PTLIB_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+        fi
+        PWLIB_INCDIR="/usr/local/include"
+        PWLIB_LIBDIR="/usr/local/lib"
+      else
+        { echo "$as_me:$LINENO: checking for /usr/include/ptlib.h" >&5
+echo $ECHO_N "checking for /usr/include/ptlib.h... $ECHO_C" >&6; }
+if test "${ac_cv_file__usr_include_ptlib_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "/usr/include/ptlib.h"; then
+  ac_cv_file__usr_include_ptlib_h=yes
+else
+  ac_cv_file__usr_include_ptlib_h=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__usr_include_ptlib_h" >&5
+echo "${ECHO_T}$ac_cv_file__usr_include_ptlib_h" >&6; }
+if test $ac_cv_file__usr_include_ptlib_h = yes; then
+  HAS_PWLIB=1
+fi
+
+        if test "${HAS_PWLIB:-unset}" != "unset" ; then
+          # Extract the first word of "ptlib-config", so it can be a program name with args.
+set dummy ptlib-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_PTLIB_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PTLIB_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PTLIB_CONFIG="$PTLIB_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in /usr/share/pwlib/make
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PTLIB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+PTLIB_CONFIG=$ac_cv_path_PTLIB_CONFIG
+if test -n "$PTLIB_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $PTLIB_CONFIG" >&5
+echo "${ECHO_T}$PTLIB_CONFIG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+          PWLIB_INCDIR="/usr/include"
+          PWLIB_LIBDIR="/usr/lib"
+        fi
+      fi
+    fi
+  fi
+fi
+
+#if test "${HAS_PWLIB:-unset}" = "unset" ; then
+#  echo "Cannot find pwlib - please install or set PWLIBDIR and try again"
+#  exit
+#fi
+
+if test "${HAS_PWLIB:-unset}" != "unset" ; then
+  if test "${PWLIBDIR:-unset}" = "unset" ; then
+    if test "${PTLIB_CONFIG:-unset}" != "unset" ; then
+      PWLIBDIR=`$PTLIB_CONFIG --prefix`
+    else
+      echo "Cannot find ptlib-config - please install and try again"
+      exit
+    fi
+  fi
+
+  if test "x$PWLIBDIR" = "x/usr" -o "x$PWLIBDIR" = "x/usr/"; then
+    PWLIBDIR="/usr/share/pwlib"
+    PWLIB_INCDIR="/usr/include"
+    PWLIB_LIBDIR="/usr/lib"
+  fi
+  if test "x$PWLIBDIR" = "x/usr/local" -o "x$PWLIBDIR" = "x/usr/"; then
+    PWLIBDIR="/usr/local/share/pwlib"
+    PWLIB_INCDIR="/usr/local/include"
+    PWLIB_LIBDIR="/usr/local/lib"
+  fi
+
+  if test "${PWLIB_INCDIR:-unset}" = "unset"; then
+    PWLIB_INCDIR="${PWLIBDIR}/include"
+  fi
+  if test "${PWLIB_LIBDIR:-unset}" = "unset"; then
+    PWLIB_LIBDIR="${PWLIBDIR}/lib"
+  fi
+
+
+
+
+fi
+
+
+       if test "${HAS_PWLIB:-unset}" != "unset"; then
+               PWLIB_VERSION=`grep "PWLIB_VERSION" ${PWLIB_INCDIR}/ptbuildopts.h | cut -f2 -d ' ' | sed -e 's/"//g'`
+               PWLIB_MAJOR_VERSION=`echo ${PWLIB_VERSION} | cut -f1 -d.`
+               PWLIB_MINOR_VERSION=`echo ${PWLIB_VERSION} | cut -f2 -d.`
+               PWLIB_BUILD_NUMBER=`echo ${PWLIB_VERSION} | cut -f3 -d.`
+               let PWLIB_VER=${PWLIB_MAJOR_VERSION}*10000+${PWLIB_MINOR_VERSION}*100+${PWLIB_BUILD_NUMBER}
+               let PWLIB_REQ=1*10000+9*100+2
+
+               { echo "$as_me:$LINENO: checking if PWLib version ${PWLIB_VERSION} is compatible with chan_h323" >&5
+echo $ECHO_N "checking if PWLib version ${PWLIB_VERSION} is compatible with chan_h323... $ECHO_C" >&6; }
+               if test ${PWLIB_VER} -lt ${PWLIB_REQ}; then
+                       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                       unset HAS_PWLIB
+               else
+                       { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+               fi
+       fi
+
+
+       if test "${HAS_PWLIB:-unset}" != "unset"; then
+
+PWLIB_OSTYPE=
+case "$host_os" in
+  linux*)          PWLIB_OSTYPE=linux ;
+               ;;
+  freebsd* )       PWLIB_OSTYPE=FreeBSD ;
+               ;;
+  openbsd* )       PWLIB_OSTYPE=OpenBSD ;
+                                  ENDLDLIBS="-lossaudio" ;
+               ;;
+  netbsd* )        PWLIB_OSTYPE=NetBSD ;
+                                  ENDLDLIBS="-lossaudio" ;
+               ;;
+  solaris* | sunos* ) PWLIB_OSTYPE=solaris ;
+               ;;
+  darwin* )           PWLIB_OSTYPE=Darwin ;
+               ;;
+  beos*)           PWLIB_OSTYPE=beos ;
+                   STDCCFLAGS="$STDCCFLAGS -D__BEOS__"
+               ;;
+  cygwin*)         PWLIB_OSTYPE=cygwin ;
+               ;;
+  mingw*)             PWLIB_OSTYPE=mingw ;
+                          STDCCFLAGS="$STDCCFLAGS -mms-bitfields" ;
+                          ENDLDLIBS="-lwinmm -lwsock32 -lsnmpapi -lmpr -lcomdlg32 -lgdi32 -lavicap32" ;
+               ;;
+  * )                 PWLIB_OSTYPE="$host_os" ;
+                          { echo "$as_me:$LINENO: WARNING: \"OS $PWLIB_OSTYPE not recognized - proceed with caution!\"" >&5
+echo "$as_me: WARNING: \"OS $PWLIB_OSTYPE not recognized - proceed with caution!\"" >&2;} ;
+               ;;
+esac
+
+PWLIB_MACHTYPE=
+case "$host_cpu" in
+   x86 | i686 | i586 | i486 | i386 ) PWLIB_MACHTYPE=x86
+                   ;;
+
+   x86_64)        PWLIB_MACHTYPE=x86_64 ;
+                  P_64BIT=1 ;
+                   LIB64=1 ;
+                  ;;
+
+   alpha | alphaev56 | alphaev6 | alphaev67 | alphaev7) PWLIB_MACHTYPE=alpha ;
+                  P_64BIT=1 ;
+                  ;;
+
+   sparc )         PWLIB_MACHTYPE=sparc ;
+                  ;;
+
+   powerpc )       PWLIB_MACHTYPE=ppc ;
+                  ;;
+
+   ppc )           PWLIB_MACHTYPE=ppc ;
+                  ;;
+
+   powerpc64 )     PWLIB_MACHTYPE=ppc64 ;
+                  P_64BIT=1 ;
+                   LIB64=1 ;
+                  ;;
+
+   ppc64 )         PWLIB_MACHTYPE=ppc64 ;
+                  P_64BIT=1 ;
+                   LIB64=1 ;
+                  ;;
+
+   ia64)          PWLIB_MACHTYPE=ia64 ;
+                  P_64BIT=1 ;
+                  ;;
+
+   s390x)         PWLIB_MACHTYPE=s390x ;
+                  P_64BIT=1 ;
+                   LIB64=1 ;
+                  ;;
+
+   s390)          PWLIB_MACHTYPE=s390 ;
+                  ;;
+
+   * )            PWLIB_MACHTYPE="$host_cpu";
+                  { echo "$as_me:$LINENO: WARNING: \"CPU $PWLIB_MACHTYPE not recognized - proceed with caution!\"" >&5
+echo "$as_me: WARNING: \"CPU $PWLIB_MACHTYPE not recognized - proceed with caution!\"" >&2;} ;;
+esac
+
+PWLIB_PLATFORM="${PWLIB_OSTYPE}_${PWLIB_MACHTYPE}"
+
+
+
+
+               PLATFORM_PWLIB="pt_${PWLIB_PLATFORM}_r"
+
+
+       if test "${HAS_PWLIB:-unset}" != "unset"; then
+          { echo "$as_me:$LINENO: checking PWLib installation validity" >&5
+echo $ECHO_N "checking PWLib installation validity... $ECHO_C" >&6; }
+
+          saved_cppflags="${CPPFLAGS}"
+          saved_libs="${LIBS}"
+          LIBS="${LIBS} -L${PWLIB_LIBDIR} -l${PLATFORM_PWLIB} "
+          CPPFLAGS="${CPPFLAGS} -I${PWLIB_INCDIR} "
+
+          ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+          cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include "ptime.h"
+#include "ptlib.h"
 int
 main ()
 {
-int q = PTime::IsDaylightSaving();
+BOOL q = PTime::IsDaylightSavings();
   ;
   return 0;
 }
-
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
@@ -24019,7 +24479,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+        { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
   { (case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
@@ -24041,7 +24501,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   (exit $ac_status); }; }; then
        { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
-               ac_cv_lib_pwlib="yes"
+                       ac_cv_lib_PWLIB="yes"
 
 else
   echo "$as_me: failed program was:" >&5
@@ -24049,7 +24509,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
                { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-               ac_cv_lib_pwlib="no"
+                       ac_cv_lib_PWLIB="no"
 
 
 fi
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 
-   LIBS="${saved_libs}"
-   CPPFLAGS="${saved_cppflags}"
+          ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-   if test "${ac_cv_lib_pwlib}" = "yes"; then
-      PWLIB_LIB="-l{PLATFORM_PWLIB}"
-      if test "${PWLIB_DIR}" != ""; then
-         PWLIB_LIB="-L${PWLIB_DIR}/lib ${PWLIB_LIB}"
-         PWLIB_INCLUDE="-I${PWLIB_DIR}/include"
-      fi
-       PBX_PWLIB=1
+
+          LIBS="${saved_libs}"
+          CPPFLAGS="${saved_cppflags}"
+
+          if test "${ac_cv_lib_PWLIB}" = "yes"; then
+             if test "${PWLIB_LIBDIR}" != "" -a "${PWLIB_LIBDIR}" != "/usr/lib"; then
+                PWLIB_LIB="-L${PWLIB_LIBDIR} -l${PLATFORM_PWLIB}"
+             else
+                PWLIB_LIB="-l${PLATFORM_PWLIB}"
+             fi
+             if test "${PWLIB_INCDIR}" != "" -a "${PWLIB_INCDIR}" != "/usr/include"; then
+                PWLIB_INCLUDE="-I${PWLIB_INCDIR}"
+             fi
+                 PBX_PWLIB=1
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_PWLIB 1
 _ACEOF
 
-   elif test ! -z "${PWLIB_MANDATORY}"; then
-      { echo "$as_me:$LINENO: ***" >&5
+          fi
+       fi
+
+       fi
+fi
+
+if test "${USE_PWLIB}" != "no" -a "x${ac_cv_lib_PWLIB}" != "xyes" -a ! -z "${PWLIB_MANDATORY}"; then
+   { echo "$as_me:$LINENO: ***" >&5
 echo "$as_me: ***" >&6;}
-      { echo "$as_me:$LINENO: *** The PWLIB installation on this system appears to be broken." >&5
+   { echo "$as_me:$LINENO: *** The PWLIB installation on this system appears to be broken." >&5
 echo "$as_me: *** The PWLIB installation on this system appears to be broken." >&6;}
-      { echo "$as_me:$LINENO: *** Either correct the installation" >&5
+   { echo "$as_me:$LINENO: *** Either correct the installation" >&5
 echo "$as_me: *** Either correct the installation" >&or run configure;}
-      { echo "$as_me:$LINENO: *** including --without-pwlib" >&5
+   { echo "$as_me:$LINENO: *** including --without-pwlib" >&5
 echo "$as_me: *** including --without-pwlib" >&6;}
-      exit 1
-   fi
+   exit 1
+fi
+
+if test "${PBX_PWLIB}" = "1" -a "${USE_OPENH323}" != "no" ; then
+       if test ! -z "${OPENH323_DIR}"; then
+               OPENH323DIR="${OPENH323_DIR}"
+       fi
+
+OPENH323_INCDIR=
+OPENH323_LIBDIR=
+if test "${OPENH323DIR:-unset}" != "unset" ; then
+  as_ac_File=`echo "ac_cv_file_${OPENH323DIR}/version.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${OPENH323DIR}/version.h" >&5
+echo $ECHO_N "checking for ${OPENH323DIR}/version.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${OPENH323DIR}/version.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  HAS_OPENH323=1
+fi
+
+fi
+if test "${HAS_OPENH323:-unset}" = "unset" ; then
+  as_ac_File=`echo "ac_cv_file_${PWLIBDIR}/../openh323/version.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${PWLIBDIR}/../openh323/version.h" >&5
+echo $ECHO_N "checking for ${PWLIBDIR}/../openh323/version.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${PWLIBDIR}/../openh323/version.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  OPENH323DIR="${PWLIBDIR}/../openh323"; HAS_OPENH323=1
+fi
+
+  if test "${HAS_OPENH323:-unset}" != "unset" ; then
+    OPENH323DIR="${PWLIBDIR}/../openh323"
+    as_ac_File=`echo "ac_cv_file_${OPENH323DIR}/include/h323.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${OPENH323DIR}/include/h323.h" >&5
+echo $ECHO_N "checking for ${OPENH323DIR}/include/h323.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${OPENH323DIR}/include/h323.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
 fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  :
+else
+  OPENH323_INCDIR="${PWLIB_INCDIR}/openh323"; OPENH323_LIBDIR="${PWLIB_LIBDIR}"
+fi
+
+  else
+    as_ac_File=`echo "ac_cv_file_${HOME}/openh323/include/h323.h" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${HOME}/openh323/include/h323.h" >&5
+echo $ECHO_N "checking for ${HOME}/openh323/include/h323.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "${HOME}/openh323/include/h323.h"; then
+  eval "$as_ac_File=yes"
+else
+  eval "$as_ac_File=no"
+fi
+fi
+ac_res=`eval echo '${'$as_ac_File'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_File'}'` = yes; then
+  HAS_OPENH323=1
+fi
+
+    if test "${HAS_OPENH323:-unset}" != "unset" ; then
+      OPENH323DIR="${HOME}/openh323"
+    else
+      { echo "$as_me:$LINENO: checking for /usr/local/include/openh323/h323.h" >&5
+echo $ECHO_N "checking for /usr/local/include/openh323/h323.h... $ECHO_C" >&6; }
+if test "${ac_cv_file__usr_local_include_openh323_h323_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "/usr/local/include/openh323/h323.h"; then
+  ac_cv_file__usr_local_include_openh323_h323_h=yes
+else
+  ac_cv_file__usr_local_include_openh323_h323_h=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__usr_local_include_openh323_h323_h" >&5
+echo "${ECHO_T}$ac_cv_file__usr_local_include_openh323_h323_h" >&6; }
+if test $ac_cv_file__usr_local_include_openh323_h323_h = yes; then
+  HAS_OPENH323=1
+fi
+
+      if test "${HAS_OPENH323:-unset}" != "unset" ; then
+        OPENH323DIR="/usr/local/share/openh323"
+        OPENH323_INCDIR="/usr/local/include/openh323"
+        OPENH323_LIBDIR="/usr/local/lib"
+      else
+        { echo "$as_me:$LINENO: checking for /usr/include/openh323/h323.h" >&5
+echo $ECHO_N "checking for /usr/include/openh323/h323.h... $ECHO_C" >&6; }
+if test "${ac_cv_file__usr_include_openh323_h323_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  test "$cross_compiling" = yes &&
+  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+   { (exit 1); exit 1; }; }
+if test -r "/usr/include/openh323/h323.h"; then
+  ac_cv_file__usr_include_openh323_h323_h=yes
+else
+  ac_cv_file__usr_include_openh323_h323_h=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__usr_include_openh323_h323_h" >&5
+echo "${ECHO_T}$ac_cv_file__usr_include_openh323_h323_h" >&6; }
+if test $ac_cv_file__usr_include_openh323_h323_h = yes; then
+  HAS_OPENH323=1
+fi
+
+        if test "${HAS_OPENH323:-unset}" != "unset" ; then
+          OPENH323DIR="/usr/share/openh323"
+          OPENH323_INCDIR="/usr/include/openh323"
+          OPENH323_LIBDIR="/usr/lib"
+        fi
+      fi
+    fi
+  fi
+fi
+
+if test "${HAS_OPENH323:-unset}" != "unset" ; then
+  if test "${OPENH323_INCDIR:-unset}" = "unset"; then
+    OPENH323_INCDIR="${OPENH323DIR}/include"
+  fi
+  if test "${OPENH323_LIBDIR:-unset}" = "unset"; then
+    OPENH323_LIBDIR="${OPENH323DIR}/lib"
+  fi
+
+
+
+
+fi
+
+
+       if test "${HAS_OPENH323:-unset}" != "unset"; then
+               OPENH323_VERSION=`grep "OPENH323_VERSION" ${OPENH323_INCDIR}/openh323buildopts.h | cut -f2 -d ' ' | sed -e 's/"//g'`
+               OPENH323_MAJOR_VERSION=`echo ${OPENH323_VERSION} | cut -f1 -d.`
+               OPENH323_MINOR_VERSION=`echo ${OPENH323_VERSION} | cut -f2 -d.`
+               OPENH323_BUILD_NUMBER=`echo ${OPENH323_VERSION} | cut -f3 -d.`
+               let OPENH323_VER=${OPENH323_MAJOR_VERSION}*10000+${OPENH323_MINOR_VERSION}*100+${OPENH323_BUILD_NUMBER}
+               let OPENH323_REQ=1*10000+17*100+3
+
+               { echo "$as_me:$LINENO: checking if OpenH323 version ${OPENH323_VERSION} is compatible with chan_h323" >&5
+echo $ECHO_N "checking if OpenH323 version ${OPENH323_VERSION} is compatible with chan_h323... $ECHO_C" >&6; }
+               if test ${OPENH323_VER} -lt ${OPENH323_REQ}; then
+                       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                       unset HAS_OPENH323
+               else
+                       { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+               fi
+       fi
+
+
+       if test "${HAS_OPENH323:-unset}" != "unset"; then
+               { echo "$as_me:$LINENO: checking OpenH323 build option" >&5
+echo $ECHO_N "checking OpenH323 build option... $ECHO_C" >&6; }
+               OPENH323_SUFFIX=
+               files=`ls -l ${OPENH323_LIBDIR}/libh323_${PWLIB_PLATFORM}_*.so*`
+               libfile=
+               if test -n "$files"; then
+                       for f in $files; do
+                               if test -f $f -a ! -L $f; then
+                                       libfile=`basename $f`
+                                       break;
+                               fi
+                       done
+               fi
+               if test "${libfile:-unset}" != "unset"; then
+                       OPENH323_SUFFIX=`eval "echo ${libfile} | sed -e 's/libh323_${PWLIB_PLATFORM}_\([^.]*\)\..*/\1/'"`
+               fi
+               case "${OPENH323_SUFFIX}" in
+                       n)
+                               OPENH323_BUILD="notrace";;
+                       r)
+                               OPENH323_BUILD="opt";;
+                       d)
+                               OPENH323_BUILD="debug";;
+                       *)
+                               OPENH323_BUILD="notrace";;
+               esac
+               { echo "$as_me:$LINENO: result: ${OPENH323_BUILD}" >&5
+echo "${ECHO_T}${OPENH323_BUILD}" >&6; }
+
+
+
+       fi
+
+       PLATFORM_OPENH323="h323_${PWLIB_PLATFORM}_${OPENH323_SUFFIX}"
+
+       if test "${HAS_OPENH323:-unset}" != "unset"; then
+          { echo "$as_me:$LINENO: checking OpenH323 installation validity" >&5
+echo $ECHO_N "checking OpenH323 installation validity... $ECHO_C" >&6; }
+
+          saved_cppflags="${CPPFLAGS}"
+          saved_libs="${LIBS}"
+          LIBS="${LIBS} -L${OPENH323_LIBDIR} -l${PLATFORM_OPENH323} ${PWLIB_LIB}"
+          CPPFLAGS="${CPPFLAGS} -I${OPENH323_INCDIR} ${PWLIB_INCLUDE}"
+
+          ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+          cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include "ptlib.h"
+               #include "h323.h"
+               #include "h323ep.h"
+int
+main ()
+{
+H323EndPoint ep = H323EndPoint();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+       { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+                       ac_cv_lib_OPENH323="yes"
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+               { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                       ac_cv_lib_OPENH323="no"
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+
+          ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+          LIBS="${saved_libs}"
+          CPPFLAGS="${saved_cppflags}"
+
+          if test "${ac_cv_lib_OPENH323}" = "yes"; then
+             if test "${OPENH323_LIBDIR}" != "" -a "${OPENH323_LIBDIR}" != "/usr/lib"; then
+                OPENH323_LIB="-L${OPENH323_LIBDIR} -l${PLATFORM_OPENH323}"
+             else
+                OPENH323_LIB="-l${PLATFORM_OPENH323}"
+             fi
+             if test "${OPENH323_INCDIR}" != "" -a "${OPENH323_INCDIR}" != "/usr/include"; then
+                OPENH323_INCLUDE="-I${OPENH323_INCDIR}"
+             fi
+                 PBX_OPENH323=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPENH323 1
+_ACEOF
+
+          fi
+       fi
+
+fi
+if test "${USE_OPENH323}" != "no" -a "x${ac_cv_lib_OPENH323}" != "xyes" -a ! -z "${OPENH323_MANDATORY}"; then
+   { echo "$as_me:$LINENO: ***" >&5
+echo "$as_me: ***" >&6;}
+   { echo "$as_me:$LINENO: *** The PWLIB installation on this system appears to be broken." >&5
+echo "$as_me: *** The PWLIB installation on this system appears to be broken." >&6;}
+   { echo "$as_me:$LINENO: *** Either correct the installation" >&5
+echo "$as_me: *** Either correct the installation" >&or run configure;}
+   { echo "$as_me:$LINENO: *** including --without-pwlib" >&5
+echo "$as_me: *** including --without-pwlib" >&6;}
+   exit 1
+fi
+
 
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -29718,7 +30558,7 @@ fi
 
 
 
-ac_config_files="$ac_config_files build_tools/menuselect-deps makeopts"
+ac_config_files="$ac_config_files build_tools/menuselect-deps makeopts channels/h323/Makefile"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -30263,6 +31103,7 @@ do
     "include/asterisk/autoconfig.h") CONFIG_HEADERS="$CONFIG_HEADERS include/asterisk/autoconfig.h" ;;
     "build_tools/menuselect-deps") CONFIG_FILES="$CONFIG_FILES build_tools/menuselect-deps" ;;
     "makeopts") CONFIG_FILES="$CONFIG_FILES makeopts" ;;
+    "channels/h323/Makefile") CONFIG_FILES="$CONFIG_FILES channels/h323/Makefile" ;;
 
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -30514,6 +31355,9 @@ PBX_PRI!$PBX_PRI$ac_delim
 PWLIB_LIB!$PWLIB_LIB$ac_delim
 PWLIB_INCLUDE!$PWLIB_INCLUDE$ac_delim
 PBX_PWLIB!$PBX_PWLIB$ac_delim
+OPENH323_LIB!$OPENH323_LIB$ac_delim
+OPENH323_INCLUDE!$OPENH323_INCLUDE$ac_delim
+PBX_OPENH323!$PBX_OPENH323$ac_delim
 QT_LIB!$QT_LIB$ac_delim
 QT_INCLUDE!$QT_INCLUDE$ac_delim
 PBX_QT!$PBX_QT$ac_delim
@@ -30556,9 +31400,6 @@ PBX_ZLIB!$PBX_ZLIB$ac_delim
 ZAPTEL_LIB!$ZAPTEL_LIB$ac_delim
 ZAPTEL_INCLUDE!$ZAPTEL_INCLUDE$ac_delim
 PBX_ZAPTEL!$PBX_ZAPTEL$ac_delim
-ALLOCA!$ALLOCA$ac_delim
-EGREP!$EGREP$ac_delim
-LIBOBJS!$LIBOBJS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -30600,6 +31441,9 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+ALLOCA!$ALLOCA$ac_delim
+EGREP!$EGREP$ac_delim
+LIBOBJS!$LIBOBJS$ac_delim
 POW_LIB!$POW_LIB$ac_delim
 GC_CFLAGS!$GC_CFLAGS$ac_delim
 GC_LDFLAGS!$GC_LDFLAGS$ac_delim
@@ -30608,6 +31452,16 @@ KDEINIT!$KDEINIT$ac_delim
 KDEDIR!$KDEDIR$ac_delim
 NETSNMP_CONFIG!$NETSNMP_CONFIG$ac_delim
 PG_CONFIG!$PG_CONFIG$ac_delim
+PTLIB_CONFIG!$PTLIB_CONFIG$ac_delim
+PWLIBDIR!$PWLIBDIR$ac_delim
+PWLIB_INCDIR!$PWLIB_INCDIR$ac_delim
+PWLIB_LIBDIR!$PWLIB_LIBDIR$ac_delim
+PWLIB_PLATFORM!$PWLIB_PLATFORM$ac_delim
+OPENH323DIR!$OPENH323DIR$ac_delim
+OPENH323_INCDIR!$OPENH323_INCDIR$ac_delim
+OPENH323_LIBDIR!$OPENH323_LIBDIR$ac_delim
+OPENH323_SUFFIX!$OPENH323_SUFFIX$ac_delim
+OPENH323_BUILD!$OPENH323_BUILD$ac_delim
 QTMOC!$QTMOC$ac_delim
 EDITLINE_LIB!$EDITLINE_LIB$ac_delim
 PBX_H323!$PBX_H323$ac_delim
@@ -30623,7 +31477,7 @@ CURL_LIB!$CURL_LIB$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 21; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 34; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index 7a0a9a0..d123905 100644 (file)
 /* Define to indicate the ${OGG_DESCRIP} library */
 #undef HAVE_OGG
 
+/* Define if your system has the OpenH323 libraries. */
+#undef HAVE_OPENH323
+
 /* Define to indicate the ${OPENSSL_DESCRIP} library */
 #undef HAVE_OPENSSL
 
 /* Define to 1 if you have the `putenv' function. */
 #undef HAVE_PUTENV
 
-/* Define if your system has the pwlib libraries. */
+/* Define if your system has the PWLib libraries. */
 #undef HAVE_PWLIB
 
 /* Define if your system has the Qt library */